diff --git a/tests/p_subversion/0-install_subversion.sh b/tests/p_subversion/0-install_subversion.sh
index 8afb84a..5a84e37 100755
--- a/tests/p_subversion/0-install_subversion.sh
+++ b/tests/p_subversion/0-install_subversion.sh
@@ -4,9 +4,4 @@
 t_Log "Running $0 - installing subversion"
 
 # Install subversion subversion 
-if [ $centos_ver == '6' ]
-  then
-  t_InstallPackage subversion
-else
-  t_Log "This test is skipped in CentOS5."
-fi
+t_InstallPackage subversion
diff --git a/tests/p_subversion/10-test_subversion.sh b/tests/p_subversion/10-test_subversion.sh
index 4684a79..be6b0ff 100755
--- a/tests/p_subversion/10-test_subversion.sh
+++ b/tests/p_subversion/10-test_subversion.sh
@@ -5,13 +5,5 @@
 
 t_Log "Running $0 - checking subversion installation"
 
-if [ $centos_ver == '6' ]
-  then
-  svn --version &>/dev/null
-  ret_val=$?
-else
-  t_Log "This test is skipped in CentOS5."
-  ret_val=0
-fi
-  
-t_CheckExitStatus $ret_val
+svn --version &>/dev/null
+t_CheckExitStatus $?
diff --git a/tests/p_subversion/15-test_subversion.sh b/tests/p_subversion/15-test_subversion.sh
index 6800eab..841c721 100755
--- a/tests/p_subversion/15-test_subversion.sh
+++ b/tests/p_subversion/15-test_subversion.sh
@@ -4,25 +4,18 @@
 
 t_Log "Running $0 - testing a local subversion repository creation operation"
 
-if [ $centos_ver == '6' ]
-  then
-  temp_dir="/tmp/svnrepo"
-  temp_repo="tmprepo"
-  rm -rf $temp_dir/$temp_repo
-  mkdir -p $temp_dir
-  cd $temp_dir
-  svnadmin create $temp_repo
+temp_dir="/tmp/svnrepo"
+temp_repo="tmprepo"
+rm -rf $temp_dir/$temp_repo
+mkdir -p $temp_dir
+cd $temp_dir
+svnadmin create $temp_repo
   
 #verify repo using svnadmin
-  if [ "svnadmin verify $temp_dir/$temp_repo | grep 'Verified revision 0'" ] 
-  then
-    ret_val=0 
-  else
-    ret_val=1
-  fi
+if [ "svnadmin verify $temp_dir/$temp_repo | grep 'Verified revision 0'" ] 
+then
+  ret_val=0 
 else
-  t_Log "This test is skipped in CentOS5."
-  ret_val=0
+  ret_val=1
 fi
-
 t_CheckExitStatus $ret_val